<?php
@session_start();
$tabla = filter_input(INPUT_GET, 'tabla');
if (empty($tabla))
    if (empty($_SESSION['tabla']))
        $tabla = "productos";
    else
        $tabla = $_SESSION['tabla'];
$_SESSION['tabla'] = $tabla;

include_once "framework.php";
$adb = new adb();
$pagina = filter_input(INPUT_GET, 'pag', FILTER_SANITIZE_NUMBER_INT);
if (empty($pagina)) {
    $pagina = 1;
}
?>
<!DOCTYPE html>

<html>
    <head>
        <meta charset="UTF-8">
        <title>Administración tienda</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
        <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

    </head>
    <?php ?>
    <body class="container">
        <div class="jumbotron">
            <h1><?= ucfirst($_SESSION['tabla']) ?></h1> 
            <p>Administración de <?= $_SESSION['tabla'] ?></p> 
        </div>
        <?=$adb->checkAction($_SESSION['tabla'])?>
        <?= $adb->selector_tablas() ?>
        <a class="btn btn-info btn-lg" href="mantenimiento.php?action=nuevo">Nuevo</a>

        <?= $adb->crear_tabla($_SESSION['tabla'], $pagina) ?>

    </body>
</html>
