<?php
@session_start();
include_once "framework.php";
$adb = new adb();
$error = "";
$fila = [];
$id = filter_input(INPUT_GET, 'id', FILTER_SANITIZE_NUMBER_INT);
$action = filter_input(INPUT_GET, 'action', FILTER_SANITIZE_STRING);
if (empty($action) || ($action != 'editar' && $action != 'borrar' && $action != 'nuevo' )) {
    $error = "Acción inexistente o incorrecta";
}
if ($action == 'editar' || $action == 'borrar') {
    $fila = $adb->getElement($_SESSION['tabla'], $id);
    if (empty($fila)) {
        $error = "Elemento desconocido";
    }
}
?>
<!DOCTYPE html>

<html>
    <head>
        <meta charset="UTF-8">
        <title>Administración tienda</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.0/jquery.min.js"></script>
        <script src="http://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>

    </head>

    <body class="container">

        <div class="jumbotron">
            <h1>Editar <?= $_SESSION['tabla'] ?></h1> 
        </div>
        <?php
        if (!empty($error)) {
            $adb->html_error($error);
        } else {
            $adb->formulario($_SESSION['tabla'], $fila, $action);
        }
        ?>
    </body>
</html>
